Bug 255667 - audio/audacity can't import Opus files
Summary: audio/audacity can't import Opus files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ulrich Spörlein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-06 18:42 UTC by Ulrich Spörlein
Modified: 2021-05-09 10:14 UTC (History)
2 users (show)

See Also:
uqs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spörlein freebsd_committer 2021-05-06 18:42:45 UTC
Hi there, neither audacity from my own poudriere build (which has a bunch of WITH_VORBIS and WITH_OPUS settings), nor audacity from the official pkg builders is able to open .opus files.

The error message is "Audacity did not recognize the type of the file foo.opus

and on the terminal I get:

20:35:16: Debug: Appending legacyaup
20:35:16: Debug: Appending libsndfile
20:35:16: Debug: Appending liboggvorbis
20:35:16: Debug: Appending libflac
20:35:16: Debug: Appending libmad
20:35:16: Debug: Appending lof


Is there some --with-opus flag missing when building?
It does link against it, but that's probably via some other dependency:

% ldd `which audacity`|grep opus
        libopus.so.0 => /usr/local/lib/libopus.so.0 (0x803c01000)
Comment 1 Daniel Engberg 2021-05-06 21:36:46 UTC
Do you have ffmpeg enabled?
https://github.com/audacity/audacity/blob/master/src/import/ImportFFmpeg.cpp#L112
Comment 2 Ulrich Spörlein freebsd_committer 2021-05-07 09:36:24 UTC
Thank you!

I had a look through the preferences and it claimed indeed that ffmpeg support was not compiled in, both with my own package as well as the official one.

I think we should get that OPTIONS default changed. It seems highly unlikely that people want to use audacity to play around with sound data and they don't already have ffmpeg installed.

xxjack12xx@gmail.com is it ok for me to flip the default for FFMPEG to true?
Comment 3 Jack 2021-05-07 09:45:04 UTC
(In reply to Ulrich Spörlein from comment #2)
I think it was not default because ffmpeg pulls in tons of dependencies but it would be nice yes.
Comment 4 Ulrich Spörlein freebsd_committer 2021-05-07 09:58:18 UTC
Heh, well compiling my own audio/audacity in poudriere means first compiling rust, which already takes 3h. :)

I claim that anyone doing anything with multimedia and audio processing on their machine most likely has ffmpeg installed already.

The default package options IMHO shouldn't be minimal, they should be useful. Not having OPUS support out of the box is ... supoptimal.

I'll flip the default, probably only over the weekend, though. I also don't plan a backport to the quarterly branch.

Thanks!
Comment 5 Jack 2021-05-07 10:06:16 UTC
Agreed, too bad LAME can't be turned on by default or can it? :)
Comment 6 Daniel Engberg 2021-05-07 19:25:47 UTC
Can we please revisit https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241764 since we're pulling in FFmpeg?
Comment 7 commit-hook freebsd_committer 2021-05-09 10:06:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c3c9b8490c7428c266bfa5ce7e142386e3691d45

commit c3c9b8490c7428c266bfa5ce7e142386e3691d45
Author:     Ulrich Spörlein <uqs@FreeBSD.org>
AuthorDate: 2021-05-09 09:53:27 +0000
Commit:     Ulrich Spörlein <uqs@FreeBSD.org>
CommitDate: 2021-05-09 10:05:05 +0000

    audio/audacity: enable FFMPEG for Opus support

    Not being able to decode Opus in 2021 seems like a big gap. Folks that
    do audio processing also will already have ffmpeg installed, most
    likely.

    PR:             255667
    Approved by:    maintainer

 audio/audacity/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 8 Ulrich Spörlein freebsd_committer 2021-05-09 10:14:12 UTC
Regarding https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241764 I have no preference either way. libmad is dead indeed, but I'll note that Debian has audacity link against it still.